<?php

/**
 * SEOQ Footer Get In Touch Widget
 * @author     RRdevs
 * @category   Widgets
 * @package    SEOQ/Widgets
 * @version    1.0.0
 * @extends    WP_Widget
 */

add_action( 'widgets_init', function () {
    register_widget( 'SEOQ_footer_get_in_touch' );
} );

class SEOQ_footer_get_in_touch extends WP_Widget {

    public function __construct() {
        parent::__construct( 'SEOQ_footer_get_in_touch', esc_html__( 'SEOQ Footer Get In Touch', 'seoq-core' ), array(
            'description' => esc_html__( 'Show Footer Get In Touch Widget By SEOQ', 'seoq-core' ),
        ) );
    }

    public function widget( $args, $instance ) {

        extract( $args );
        extract( $instance );
        print $before_widget;
        if ( !empty( $title ) ) {
            print $before_title . apply_filters( 'widget_title', $title ) . $after_title;
        }

        ?>

			<div class="position-relative">
				<?php if ( !empty( $text ) ): ?>
					<h2><a href="<?php print esc_url( $url );?>"><?php print $text;?></a></h2>
				<?php endif;?>
			</div>

			<?php print $after_widget;?>

		<?php

    }

    /**

     * widget function.
     *
     * @see WP_Widget
     * @access public
     * @param array $instance
     * @return void
     */

    public function form( $instance ) {

        $title = isset( $instance['title'] ) ? $instance['title'] : '';
        $text = isset( $instance['text'] ) ? $instance['text'] : '';
        $url = isset( $instance['url'] ) ? $instance['url'] : '';

        ?>

		<p>
			<label for="title"><?php esc_html_e( 'Title:', 'seoq-core' );?></label>
			<input type="text" class="widefat" id="<?php print esc_attr( $this->get_field_id( 'title' ) );?>"  name="<?php print esc_attr( $this->get_field_name( 'title' ) );?>" value="<?php print esc_attr( $title );?>">
		</p>

		<p>
			<label for="title"><?php esc_html_e( 'Text:', 'seoq-core' );?></label>
			<textarea class="widefat" rows="7" cols="15" id="<?php print esc_attr( $this->get_field_id( 'text' ) );?>" value="<?php print esc_attr( $text );?>" name="<?php print esc_attr( $this->get_field_name( 'text' ) );?>"><?php print esc_attr( $text );?></textarea>
		</p>

		<p>
			<label for="title"><?php esc_html_e( 'URL:', 'seoq-core' );?></label>
			<input type="text" class="widefat" id="<?php print esc_attr( $this->get_field_id( 'url' ) );?>"  name="<?php print esc_attr( $this->get_field_name( 'url' ) );?>" value="<?php print esc_attr( $url );?>">
		</p>

		<?php

    }

    public function update( $new_instance, $old_instance ) {

        $instance = array();
        $instance['title'] = ( !empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
        $instance['text'] = ( !empty( $new_instance['text'] ) ) ? strip_tags( $new_instance['text'] ) : '';
        $instance['url'] = ( !empty( $new_instance['url'] ) ) ? strip_tags( $new_instance['url'] ) : '';

        return $instance;

    }

}