<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package seoq
 */

get_header();

$seoq_error_animation_1 = get_theme_mod('seoq_error_animation_1',get_template_directory_uri() . '/assets/img/shape/1.svg');
$seoq_error_animation_2 = get_theme_mod('seoq_error_animation_2',get_template_directory_uri() . '/assets/img/shape/2.svg');
$seoq_error_animation_3 = get_theme_mod('seoq_error_animation_3',get_template_directory_uri() . '/assets/img/shape/3.svg');
$seoq_error_animation_4 = get_theme_mod('seoq_error_animation_4',get_template_directory_uri() . '/assets/img/shape/4.svg');
$seoq_error_animation_5 = get_theme_mod('seoq_error_animation_5',get_template_directory_uri() . '/assets/img/shape/5.svg');
$seoq_error_image_1 = get_theme_mod('seoq_error_image_1',get_template_directory_uri() . '/assets/img/404/shape_01.png');
$seoq_error_image_2 = get_theme_mod('seoq_error_image_2',get_template_directory_uri() . '/assets/img/404/shape_02.png');
$seoq_error_title = get_theme_mod('seoq_error_title', __('404', 'seoq'));
$seoq_error_subtitle = get_theme_mod('seoq_error_subtitle', __('Oops... Page Not Found!', 'seoq'));
$seoq_error_link_text = get_theme_mod('seoq_error_link_text', __('Go Back to Home', 'seoq'));
$seoq_error_desc = get_theme_mod('seoq_error_desc', __('We’re sorry. the page you requested could no be found Please go back to the home page', 'seoq'));
              
?>

<!-- 404 start -->
<div class="error-page pt-165 pb-170">
   <div class="error-page__animation1">
      <img src="<?php print esc_html($seoq_error_animation_1);?>" alt="<?php print esc_attr('shape img', 'seoq');?>">
   </div>
   <div class="error-page__animation2">
      <img src="<?php print esc_html($seoq_error_animation_2);?>" alt="<?php print esc_attr('shape img', 'seoq');?>">
   </div>
   <div class="error-page__animation3">
      <img src="<?php print esc_html($seoq_error_animation_3);?>" alt="<?php print esc_attr('shape img', 'seoq');?>">
   </div>
   <div class="error-page__animation4">
      <img src="<?php print esc_html($seoq_error_animation_4);?>" alt="<?php print esc_attr('shape img', 'seoq');?>">
   </div>
   <div class="error-page__img1">
      <img src="<?php print esc_html($seoq_error_image_1);?>" alt="<?php print esc_attr('error img', 'seoq');?>">
   </div>
   <div class="error-page__img2">
      <img src="<?php print esc_html($seoq_error_image_2);?>" alt="<?php print esc_attr('error img', 'seoq');?>">
   </div>
   <div class="container">
      <div class="row">
         <div class="col-xl-12">
            <div class="error-page__content text-center">
               <h1><?php print esc_html($seoq_error_title);?></h1>
               <h2><?php print esc_html($seoq_error_subtitle);?></h2>
               <p><?php print esc_html($seoq_error_desc);?></p>
               <a href="<?php print esc_url(home_url('/'));?>" class="rr-btn-style-1"><i class="fa-regular fa-arrow-left"></i><?php print esc_html($seoq_error_link_text);?></a>
            </div>
         </div>
      </div>
   </div>
</div>
<!-- 404 end -->

<?php
get_footer();