<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package seoq
 */
?>

<!doctype html>
<html <?php language_attributes();?>>
<head>
	<meta charset="<?php bloginfo( 'charset' );?>">
    <?php if ( is_singular() && pings_open( get_queried_object() ) ): ?>
    <?php endif;?>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head();?>
</head>

<body <?php body_class();?>>

    <?php wp_body_open();?>


    <?php
        $seoq_preloader = get_theme_mod( 'seoq_preloader', false );
        $seoq_backtotop = get_theme_mod( 'seoq_backtotop', false );

        $seoq_preloader_logo = get_template_directory_uri() . '/assets/img/logo/logo.png';
        $seoq_preloader_icon = get_template_directory_uri() . '/assets/img/logo/preloader.svg';

        $preloader_logo = get_theme_mod('preloader_logo', $seoq_preloader_logo);

    ?>

    <?php if ( !empty( $seoq_preloader ) ): ?>
        <!-- preloader start -->
        <div id="loading">
            <div id="loading-center">
                <div id="loading-center-absolute">
                    <div class="loading-icon text-center d-flex flex-column align-items-center justify-content-center">
                        <img class="preloader-logo" src="<?php echo esc_url($preloader_logo); ?>" alt="<?php echo esc_attr__('logo','seoq'); ?>">
                        <img class="loading-logo" src="<?php echo esc_url($seoq_preloader_icon); ?>" alt="<?php echo esc_attr__('preloader icon','seoq'); ?>">
                    </div>
                </div>
            </div>
        </div>
        <!-- preloader end -->
    <?php endif;?>

    <?php if ( !empty( $seoq_backtotop ) ): ?>
    <!-- back to top start -->
    <a href="#" data-target="html" class="scroll-to-target scroll-to-top"><i class="fas fa-angle-up"></i></a>
    <!-- back to top end -->
    <?php endif;?>

    
    <!-- header start -->
    <?php do_action( 'seoq_header_style' );?>
    <!-- header end -->
    
    <!-- wrapper-box start -->
    <?php do_action( 'seoq_before_main_content' );?>