<?php

/**
 * seoq_scripts description
 * @return [type] [description]
 */
function seoq_scripts() {

    /**
     * all css files
    */

    wp_enqueue_style( 'seoq-fonts', seoq_fonts_url(), array(), time() );
    if( is_rtl() ){
        wp_enqueue_style( 'bootstrap-rtl', SEOQ_THEME_ASSETS .'css/bootstrap.rtl.min.css', array() );
    }else{
        wp_enqueue_style( 'bootstrap', SEOQ_THEME_ASSETS . 'css/bootstrap.min.css', array() );
    }
    wp_enqueue_style( 'animate', SEOQ_THEME_ASSETS . 'css/animate.min.css', [] );
    wp_enqueue_style( 'fontawesome', SEOQ_THEME_ASSETS . 'css/fontawesome-all.min.css', [] );
    wp_enqueue_style( 'magnific-popup', SEOQ_THEME_ASSETS . 'css/magnific-popup.css', [] );
    wp_enqueue_style( 'meanmenu', SEOQ_THEME_ASSETS . 'css/meanmenu.css', [] );
    wp_enqueue_style( 'nice-select', SEOQ_THEME_ASSETS . 'css/nice-select.css', [] );
    wp_enqueue_style( 'owl-carousel', SEOQ_THEME_ASSETS . 'css/owl.carousel.min.css', [] );
    wp_enqueue_style( 'slick', SEOQ_THEME_ASSETS . 'css/slick.css', [] );
    wp_enqueue_style( 'swiper', SEOQ_THEME_ASSETS . 'css/swiper-bundle.min.css', [] );
    wp_enqueue_style( 'seoq-core', SEOQ_THEME_ASSETS . 'css/seoq-core.css', [], time() );
    wp_enqueue_style( 'seoq-unit', SEOQ_THEME_ASSETS . 'css/seoq-unit.css', [], time() );
    wp_enqueue_style( 'seoq-responsive', SEOQ_THEME_ASSETS . 'css/seoq-responsive.css', [], time() );
    wp_enqueue_style( 'seoq-custom', SEOQ_THEME_ASSETS . 'css/seoq-custom.css', [] );
    wp_enqueue_style( 'seoq-style', get_stylesheet_uri() );

    // all js
    wp_enqueue_script( 'bootstrap-bundle', SEOQ_THEME_ASSETS . 'js/bootstrap.bundle.min.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'appear', SEOQ_THEME_ASSETS . 'js/jquery.appear.min.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'isotope', SEOQ_THEME_ASSETS . 'js/isotope.pkgd.min.js', [ 'imagesloaded' ], false, true );
    wp_enqueue_script( 'countup', SEOQ_THEME_ASSETS . 'js/jquery.countup.min.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'magnific-popup', SEOQ_THEME_ASSETS . 'js/jquery.magnific-popup.min.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'waypoints', SEOQ_THEME_ASSETS . 'js/jquery.waypoints.min.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'meanmenu', SEOQ_THEME_ASSETS . 'js/meanmenu.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'nice-select', SEOQ_THEME_ASSETS . 'js/nice-select.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'owl-carousel', SEOQ_THEME_ASSETS . 'js/owl.carousel.min.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'slick', SEOQ_THEME_ASSETS . 'js/slick.min.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'swiper', SEOQ_THEME_ASSETS . 'js/swiper-bundle.min.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'wow', SEOQ_THEME_ASSETS . 'js/wow.min.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'seoq-main', SEOQ_THEME_ASSETS . 'js/seoq.js', [ 'jquery' ], time(), true );

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'seoq_scripts' );

/*
Register Fonts
 */
function seoq_fonts_url() {
    $font_url = '';

    /*
    Translators: If there are characters in your language that are not supported
    by chosen font(s), translate this to 'off'. Do not translate into your own language.
     */
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'seoq' ) ) {
        $font_url = 'https://fonts.googleapis.com/css2?family=Montserrat+Alternates:wght@300;400;500;600;700;800;900&family=Mulish:wght@300;400;500;600;700;800;900&display=swap';
    }
    return $font_url;
}