<?php
/**
 * seoq customizer
 *
 * @package seoq
 */

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Added Panels & Sections
 */
function seoq_customizer_panels_sections( $wp_customize ) {

    //Add panel
    $wp_customize->add_panel( 'seoq_customizer', [
        'priority' => 10,
        'title'    => esc_html__( 'SEOQ Customizer', 'seoq' ),
    ] );

    /**
     * Customizer Section
     */
    $wp_customize->add_section( 'header_top_setting', [
        'title'       => esc_html__( 'Header Info Setting', 'seoq' ),
        'description' => '',
        'priority'    => 10,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( 'header_social', [
        'title'       => esc_html__( 'Header Social', 'seoq' ),
        'description' => '',
        'priority'    => 11,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( 'section_header_logo', [
        'title'       => esc_html__( 'Header Setting', 'seoq' ),
        'description' => '',
        'priority'    => 12,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( 'blog_setting', [
        'title'       => esc_html__( 'Blog Setting', 'seoq' ),
        'description' => '',
        'priority'    => 13,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( 'header_side_setting', [
        'title'       => esc_html__( 'Side Info', 'seoq' ),
        'description' => '',
        'priority'    => 14,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( 'breadcrumb_setting', [
        'title'       => esc_html__( 'Breadcrumb Setting', 'seoq' ),
        'description' => '',
        'priority'    => 15,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( 'blog_setting', [
        'title'       => esc_html__( 'Blog Setting', 'seoq' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( 'footer_setting', [
        'title'       => esc_html__( 'Footer Settings', 'seoq' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( 'color_setting', [
        'title'       => esc_html__( 'Color Setting', 'seoq' ),
        'description' => '',
        'priority'    => 17,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( '404_page', [
        'title'       => esc_html__( '404 Page', 'seoq' ),
        'description' => '',
        'priority'    => 18,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( 'tutor_course_settings', [
        'title'       => esc_html__( 'Tutor Course Settings ', 'seoq' ),
        'description' => '',
        'priority'    => 19,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( 'event_settings', [
        'title'       => esc_html__( 'Event Settings ', 'seoq' ),
        'description' => '',
        'priority'    => 19,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( 'learndash_course_settings', [
        'title'       => esc_html__( 'Learndash Course Settings ', 'seoq' ),
        'description' => '',
        'priority'    => 20,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( 'typo_setting', [
        'title'       => esc_html__( 'Typography Setting', 'seoq' ),
        'description' => '',
        'priority'    => 21,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );

    $wp_customize->add_section( 'tutor_course_settings', [
        'title'       => esc_html__( 'Tutor Course Settings ', 'seoq' ),
        'description' => '',
        'priority'    => 23,
        'capability'  => 'edit_theme_options',
        'panel'       => 'seoq_customizer',
    ] );
}

add_action( 'customize_register', 'seoq_customizer_panels_sections' );

function _header_top_fields( $fields ) {

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'seoq_preloader',
        'label'    => esc_html__( 'Preloader On/Off', 'seoq' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'seoq_backtotop',
        'label'    => esc_html__( 'Back To Top On/Off', 'seoq' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'seoq_header_right',
        'label'    => esc_html__( 'Header Right On/Off', 'seoq' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];    

    // login button
    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_login_text',
        'label'    => esc_html__( 'Login Text', 'seoq' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'Login', 'seoq' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'seoq_header_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'link',
        'settings' => 'seoq_login_link',
        'label'    => esc_html__( 'Login URL', 'seoq' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'seoq' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'seoq_header_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];

    // contact button
    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_button_text',
        'label'    => esc_html__( 'Button Text', 'seoq' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'Contact Us', 'seoq' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'seoq_header_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'link',
        'settings' => 'seoq_button_link',
        'label'    => esc_html__( 'Button URL', 'seoq' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'seoq' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'seoq_header_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];

    // phone
    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_phone_num',
        'label'    => esc_html__( 'Phone Number', 'seoq' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '+5204654544', 'seoq' ),
        'priority' => 10,
    ];    

    // email
    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_mail_id',
        'label'    => esc_html__( 'Mail ID', 'seoq' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'demo@example.com', 'seoq' ),
        'priority' => 10,
    ];    

    // email
    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_address',
        'label'    => esc_html__( 'Address', 'seoq' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '24/21, 2nd Rangpur, Sapla', 'seoq' ),
        'priority' => 10,
    ];

    return $fields;

}
add_filter( 'kirki/fields', '_header_top_fields' );

/*
Header Social
 */
function _header_social_fields( $fields ) {
    // header section social
    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_topbar_fb_url',
        'label'    => esc_html__( 'Facebook Url', 'seoq' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'seoq' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_topbar_twitter_url',
        'label'    => esc_html__( 'Twitter Url', 'seoq' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'seoq' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_topbar_youtube_url',
        'label'    => esc_html__( 'Youtube Url', 'seoq' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'seoq' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_topbar_pinterest_url',
        'label'    => esc_html__( 'Pinterest Url', 'seoq' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'seoq' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_topbar_linkedin_url',
        'label'    => esc_html__( 'Linkedin Url', 'seoq' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'seoq' ),
        'priority' => 10,
    ];


    return $fields;
}
add_filter( 'kirki/fields', '_header_social_fields' );

/*
Header Settings
 */
function _header_header_fields( $fields ) {
    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_header',
        'label'       => esc_html__( 'Select Header Style', 'seoq' ),
        'section'     => 'section_header_logo',
        'placeholder' => esc_html__( 'Select an option...', 'seoq' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'header-style-1'   => get_template_directory_uri() . '/inc/img/header/header-1.png',
            'header-style-2'   => get_template_directory_uri() . '/inc/img/header/header-2.png',
            'header-style-3'   => get_template_directory_uri() . '/inc/img/header/header-3.png',
            'header-style-4'   => get_template_directory_uri() . '/inc/img/header/header-4.png',
            'header-style-5'   => get_template_directory_uri() . '/inc/img/header/header-5.png',
        ],
        'default'     => 'header-style-1',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'logo',
        'label'       => esc_html__( 'Header Logo', 'seoq' ),
        'description' => esc_html__( 'Upload Your Logo.', 'seoq' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo.png',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seconday_logo',
        'label'       => esc_html__( 'Header Secondary Logo', 'seoq' ),
        'description' => esc_html__( 'Header Logo Black', 'seoq' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo-white.png',
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_header_fields' );

/*
Header Side Info
 */
function _header_side_fields( $fields ) {
    // side info settings
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'seoq_side_hide',
        'label'    => esc_html__( 'Side Info On/Off', 'seoq' ),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];  
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seoq_side_logo',
        'label'       => esc_html__( 'Logo Side', 'seoq' ),
        'description' => esc_html__( 'Logo Side', 'seoq' ),
        'section'     => 'header_side_setting',
        'default'     => get_template_directory_uri() . '/assets/images/resources/footer-logo1.png',
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'seoq_extra_address',
        'label'    => esc_html__( 'Office Address', 'seoq' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '12/A, Mirnada City Tower, NYC', 'seoq' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'seoq_extra_phone',
        'label'    => esc_html__( 'Phone Number', 'seoq' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '+6668880000', 'seoq' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'seoq_extra_email',
        'label'    => esc_html__( 'Email ID', 'seoq' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'demo@example.com', 'seoq' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', '_header_side_fields' );

/*
_header_page_title_fields
 */
function _header_page_title_fields( $fields ) {
    // Breadcrumb Setting
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'breadcrumb_animation_one_img',
        'label'       => esc_html__( 'Breadcrumb Animation 1', 'seoq' ),
        'description' => esc_html__( 'Breadcrumb Animation 1', 'seoq' ),
        'section'     => 'breadcrumb_setting',
        'default'     => get_template_directory_uri() . '/assets/img/shape/1.svg',
    ];
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'breadcrumb_animation_two_img',
        'label'       => esc_html__( 'Breadcrumb Animation 2', 'seoq' ),
        'description' => esc_html__( 'Breadcrumb Animation 2', 'seoq' ),
        'section'     => 'breadcrumb_setting',
        'default'     => get_template_directory_uri() . '/assets/img/shape/2.svg',
    ];
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'breadcrumb_animation_three_img',
        'label'       => esc_html__( 'Breadcrumb Animation 3', 'seoq' ),
        'description' => esc_html__( 'Breadcrumb Animation 3', 'seoq' ),
        'section'     => 'breadcrumb_setting',
        'default'     => get_template_directory_uri() . '/assets/img/shape/3.svg',
    ];
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'breadcrumb_animation_four_img',
        'label'       => esc_html__( 'Breadcrumb Animation 4', 'seoq' ),
        'description' => esc_html__( 'Breadcrumb Animation 4', 'seoq' ),
        'section'     => 'breadcrumb_setting',
        'default'     => get_template_directory_uri() . '/assets/img/shape/4.svg',
    ];
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'breadcrumb_bg_img',
        'label'       => esc_html__( 'Breadcrumb Background Image', 'seoq' ),
        'description' => esc_html__( 'Breadcrumb Background Image', 'seoq' ),
        'section'     => 'breadcrumb_setting',
        'default'     => get_template_directory_uri() . '/assets/img/backgrounds/breadcrumb.jpg',
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'seoq_breadcrumb_bg_color',
        'label'       => __( 'Breadcrumb BG Color', 'seoq' ),
        'description' => esc_html__( 'This is a Breadcrumb bg color control.', 'seoq' ),
        'section'     => 'breadcrumb_setting',
        'default'     => '#222',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'breadcrumb_info_switch',
        'label'    => esc_html__( 'Breadcrumb Info switch', 'seoq' ),
        'section'  => 'breadcrumb_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'breadcrumb_switch',
        'label'    => esc_html__( 'Breadcrumb Hide', 'seoq' ),
        'section'  => 'breadcrumb_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_page_title_fields' );

/*
Header Social
 */
function _header_blog_fields( $fields ) {
// Blog Setting
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'seoq_blog_btn_switch',
        'label'    => esc_html__( 'Blog BTN On/Off', 'seoq' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'seoq_blog_page_sidebar_hide',
        'label'    => esc_html__( 'Blog Page Sidebar On/Off', 'seoq' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'seoq_blog_cat',
        'label'    => esc_html__( 'Blog Category Meta On/Off', 'seoq' ),
        'section'  => 'blog_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'seoq_blog_author',
        'label'    => esc_html__( 'Blog Author Meta On/Off', 'seoq' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'seoq_blog_date',
        'label'    => esc_html__( 'Blog Date Meta On/Off', 'seoq' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'seoq_blog_comments',
        'label'    => esc_html__( 'Blog Comments Meta On/Off', 'seoq' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_blog_btn',
        'label'    => esc_html__( 'Blog Button text', 'seoq' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Read More', 'seoq' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title',
        'label'    => esc_html__( 'Blog Title', 'seoq' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog', 'seoq' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title_details',
        'label'    => esc_html__( 'Blog Details Title', 'seoq' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog Details', 'seoq' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', '_header_blog_fields' );

/*
Footer
 */
function _header_footer_fields( $fields ) {
    // Footer Setting
    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_footer',
        'label'       => esc_html__( 'Choose Footer Style', 'seoq' ),
        'section'     => 'footer_setting',
        'default'     => '5',
        'placeholder' => esc_html__( 'Select an option...', 'seoq' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'footer-style-1'   => get_template_directory_uri() . '/inc/img/footer/footer-1.png',
            'footer-style-2'   => get_template_directory_uri() . '/inc/img/footer/footer-2.png',
            'footer-style-3'   => get_template_directory_uri() . '/inc/img/footer/footer-3.png',
            'footer-style-4'   => get_template_directory_uri() . '/inc/img/footer/footer-4.png',
        ],
        'default'     => 'footer-style-1',
    ];

    $fields[] = [
        'type'        => 'select',
        'settings'    => 'footer_widget_number',
        'label'       => esc_html__( 'Widget Number', 'seoq' ),
        'section'     => 'footer_setting',
        'default'     => '4',
        'placeholder' => esc_html__( 'Select an option...', 'seoq' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            '4' => esc_html__( 'Widget Number 4', 'seoq' ),
            '3' => esc_html__( 'Widget Number 3', 'seoq' ),
            '2' => esc_html__( 'Widget Number 2', 'seoq' ),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seoq_footer_bg',
        'label'       => esc_html__( 'Footer Background Image.', 'seoq' ),
        'description' => esc_html__( 'Footer Background Image.', 'seoq' ),
        'section'     => 'footer_setting',
        'active_callback' => [
            [
                'setting'  => 'choose_default_footer',
                'operator' => '==',
                'value'    => 'footer-style-1',
            ]
        ],
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'seoq_footer_bg_color',
        'label'       => __( 'Footer BG Color', 'seoq' ),
        'description' => esc_html__( 'This is a Footer bg color control.', 'seoq' ),
        'section'     => 'footer_setting',
        'default'     => '#fff',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_shape_switch',
        'label'    => esc_html__( 'Footer Shape On/Off', 'seoq' ),
        'section'  => 'footer_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_style_2_switch',
        'label'    => esc_html__( 'Footer Style 2 On/Off', 'seoq' ),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_style_3_switch',
        'label'    => esc_html__( 'Footer Style 3 On/Off', 'seoq' ),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_style_4_switch',
        'label'    => esc_html__( 'Footer Style 4 On/Off', 'seoq' ),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'seoq' ),
            'off' => esc_html__( 'Disable', 'seoq' ),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_copyright',
        'label'    => esc_html__( 'Copy Right', 'seoq' ),
        'section'  => 'footer_setting',
        'default'  => esc_html__( 'Copyright © 2023 SEOQ. All Rights Reserved.', 'seoq' ),
        'priority' => 10,
    ];  
      
    return $fields;
}
add_filter( 'kirki/fields', '_header_footer_fields' );

// color
function seoq_color_fields( $fields ) {
    // Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'seoq_color_option_prim',
        'label'       => __( 'Primary Color', 'seoq' ),
        'description' => __( 'Site main color.', 'seoq' ),
        'section'     => 'color_setting',
        'default'     => '#FE7919',
        'priority'    => 10,
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'seoq_color_option_sec',
        'label'       => __( 'Secondary Color', 'seoq' ),
        'description' => __( 'Site secondary color.', 'seoq' ),
        'section'     => 'color_setting',
        'default'     => '#4A5FE1',
        'priority'    => 10,
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'seoq_color_option_body',
        'label'       => __( 'Body Color', 'seoq' ),
        'description' => __( 'Site body color.', 'seoq' ),
        'section'     => 'color_setting',
        'default'     => 'rgba(11, 23, 40, 0.7)',
        'priority'    => 10,
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'seoq_color_option_heading',
        'label'       => __( 'Heading Color', 'seoq' ),
        'description' => __( 'Site heading color.', 'seoq' ),
        'section'     => 'color_setting',
        'default'     => '#0B1728',
        'priority'    => 10,
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'seoq_color_option_black',
        'label'       => __( 'Black Color', 'seoq' ),
        'description' => __( 'Site black color.', 'seoq' ),
        'section'     => 'color_setting',
        'default'     => '#0B1728',
        'priority'    => 10,
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'seoq_color_option_white',
        'label'       => __( 'White Color', 'seoq' ),
        'description' => __( 'Site white color.', 'seoq' ),
        'section'     => 'color_setting',
        'default'     => '#fff',
        'priority'    => 10,
    ];

    return $fields;
}
add_filter( 'kirki/fields', 'seoq_color_fields' );

// 404
function seoq_404_fields( $fields ) {
    // 404 settings
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seoq_error_animation_1',
        'label'       => esc_html__( 'Animation 1', 'seoq' ),
        'description' => esc_html__( 'Animation 1', 'seoq' ),
        'section'     => '404_page',
        'default'     => get_template_directory_uri() . '/assets/img/shape/1.svg',
    ];
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seoq_error_animation_2',
        'label'       => esc_html__( 'Animation 2', 'seoq' ),
        'description' => esc_html__( 'Animation 2', 'seoq' ),
        'section'     => '404_page',
        'default'     => get_template_directory_uri() . '/assets/img/shape/2.svg',
    ];
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seoq_error_animation_3',
        'label'       => esc_html__( 'Animation 3', 'seoq' ),
        'description' => esc_html__( 'Animation 3', 'seoq' ),
        'section'     => '404_page',
        'default'     => get_template_directory_uri() . '/assets/img/shape/3.svg',
    ];
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seoq_error_animation_4',
        'label'       => esc_html__( 'Animation 4', 'seoq' ),
        'description' => esc_html__( 'Animation 4', 'seoq' ),
        'section'     => '404_page',
        'default'     => get_template_directory_uri() . '/assets/img/shape/4.svg',
    ];
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seoq_error_image_1',
        'label'       => esc_html__( 'Image 1', 'seoq' ),
        'description' => esc_html__( 'Image 1', 'seoq' ),
        'section'     => '404_page',
        'default'     => get_template_directory_uri() . '/assets/img/404/shape_01.png',
    ];
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seoq_error_image_2',
        'label'       => esc_html__( 'Image 2', 'seoq' ),
        'description' => esc_html__( 'Image 2', 'seoq' ),
        'section'     => '404_page',
        'default'     => get_template_directory_uri() . '/assets/img/404/shape_02.png',
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_error_title',
        'label'    => esc_html__( 'Not Found Title', 'seoq' ),
        'section'  => '404_page',
        'default'  => esc_html__( '404', 'seoq' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_error_subtitle',
        'label'    => esc_html__( 'Not Found Subtitle', 'seoq' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Oops... Page Not Found!', 'seoq' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'seoq_error_desc',
        'label'    => esc_html__( '404 Description Text', 'seoq' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'We’re sorry. the page you requested could no be found Please go back to the home page', 'seoq' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'seoq_error_link_text',
        'label'    => esc_html__( '404 Link Text', 'seoq' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Go Back to Home', 'seoq' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', 'seoq_404_fields' );

/**
 * Added Fields
 */
function seoq_typo_fields( $fields ) {
    // typography settings
    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_body_setting',
        'label'       => esc_html__( 'Body Font', 'seoq' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'body',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h_setting',
        'label'       => esc_html__( 'Heading h1 Fonts', 'seoq' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h1',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h2_setting',
        'label'       => esc_html__( 'Heading h2 Fonts', 'seoq' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h2',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h3_setting',
        'label'       => esc_html__( 'Heading h3 Fonts', 'seoq' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h3',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h4_setting',
        'label'       => esc_html__( 'Heading h4 Fonts', 'seoq' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h4',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h5_setting',
        'label'       => esc_html__( 'Heading h5 Fonts', 'seoq' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h5',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h6_setting',
        'label'       => esc_html__( 'Heading h6 Fonts', 'seoq' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h6',
            ],
        ],
    ];
    return $fields;
}

add_filter( 'kirki/fields', 'seoq_typo_fields' );

/**
 * This is a short hand function for getting setting value from customizer
 *
 * @param string $name
 *
 * @return bool|string
 */
function seoq_THEME_option( $name ) {
    $value = '';
    if ( class_exists( 'seoq' ) ) {
        $value = Kirki::get_option( seoq_get_theme(), $name );
    }

    return apply_filters( 'seoq_THEME_option', $value, $name );
}

/**
 * Get config ID
 *
 * @return string
 */
function seoq_get_theme() {
    return 'seoq';
}