<?php
/**
 * Custom template tags for this theme
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package seoq
 */

/** 
 *
 * seoq header
 */

function seoq_check_header() {
    $seoq_header_style = function_exists( 'get_field' ) ? get_field( 'header_style' ) : NULL;
    $seoq_default_header_style = get_theme_mod( 'choose_default_header', 'header-style-1' );

    if ( $seoq_header_style == 'header-style-1' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-1' );
    } elseif ( $seoq_header_style == 'header-style-2' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-2' );
    } elseif ( $seoq_header_style == 'header-style-3' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-3' );
    } elseif ( $seoq_header_style == 'header-style-4' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-4' );
    } elseif ( $seoq_header_style == 'header-style-5' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-5' );
    } else {

        /** default header style **/
        if ( $seoq_default_header_style == 'header-style-1' ) {
            get_template_part( 'template-parts/header/header-1' );
        } elseif ( $seoq_default_header_style == 'header-style-2' ) {
            get_template_part( 'template-parts/header/header-2' );
        } elseif ( $seoq_default_header_style == 'header-style-3' ) {
            get_template_part( 'template-parts/header/header-3' );
        } elseif ( $seoq_default_header_style == 'header-style-4' ) {
            get_template_part( 'template-parts/header/header-4' );
        } else {
            get_template_part( 'template-parts/header/header-5' );
        } 
    }

}
add_action( 'seoq_header_style', 'seoq_check_header', 10 );


/**
 * [seoq_header_lang description]
 * @return [type] [description]
 */
function seoq_header_lang_default() {
    $seoq_header_lang = get_theme_mod( 'seoq_header_lang', false );
    if ( $seoq_header_lang ): ?>

    <ul>
        <li><a href="javascript:void(0)"><?php print esc_html__( 'English', 'seoq' );?> <i class="fas fa-angle-down"></i></a>
        <?php do_action( 'seoq_language' );?>
        </li>
    </ul>

    <?php endif;?>
<?php
}

/**
 * [seoq_language_list description]
 * @return [type] [description]
 */
function _seoq_language( $mar ) {
    return $mar;
}
function seoq_language_list() {

    $mar = '';
    $languages = apply_filters( 'wpml_active_languages', NULL, 'orderby=id&order=desc' );
    if ( !empty( $languages ) ) {
        $mar = '<ul>';
        foreach ( $languages as $lan ) {
            $active = $lan['active'] == 1 ? 'active' : '';
            $mar .= '<li class="' . $active . '"><a href="' . $lan['url'] . '">' . $lan['translated_name'] . '</a></li>';
        }
        $mar .= '</ul>';
    } else {
        //remove this code when send themeforest reviewer team
        $mar .= '<ul>';
        $mar .= '<li><a href="#">' . esc_html__( 'England', 'seoq' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'France', 'seoq' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'Germany', 'seoq' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'Italy', 'seoq' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'Span', 'seoq' ) . '</a></li>';
        $mar .= ' </ul>';
    }
    print _seoq_language( $mar );
}
add_action( 'seoq_language', 'seoq_language_list' );


// header logo
function seoq_header_logo() { ?>
        <?php
        $seoq_logo_on = function_exists( 'get_field' ) ? get_field( 'is_enable_sec_logo' ) : NULL;
        $seoq_logo = get_template_directory_uri() . '/assets/img/logo/logo.png';
        $seoq_logo_black = get_template_directory_uri() . '/assets/img/logo/logo.png';

        $seoq_site_logo = get_theme_mod( 'logo', $seoq_logo );
        $seoq_secondary_logo = get_theme_mod( 'seconday_logo', $seoq_logo_black );
        ?>

        <?php if ( !empty( $seoq_logo_on ) ) : ?>
            <div class="header__logo">
                <a href="<?php print esc_url( home_url( '/' ) );?>" class="logo-dark">
                    <img src="<?php print esc_url( $seoq_secondary_logo );?>" alt="<?php print esc_attr__( 'logo', 'seoq' );?>">
                </a>
            </div>
        <?php else : ?>
            <a href="<?php print esc_url( home_url( '/' ) );?>">
                <img src="<?php print esc_url( $seoq_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'seoq' );?>">
            </a>
        <?php endif; ?>
   <?php
}

// header logo
function seoq_header_sticky_logo() {?>
    <?php
        $seoq_logo_black = get_template_directory_uri() . '/assets/images/resources/logo-1.png';
        $seoq_secondary_logo = get_theme_mod( 'seconday_logo', $seoq_logo_black );
    ?>
      <a class="sticky-logo" href="<?php print esc_url( home_url( '/' ) );?>">
          <img src="<?php print esc_url( $seoq_secondary_logo );?>" alt="<?php print esc_attr__( 'logo', 'seoq' );?>" />
      </a>
    <?php
}

function seoq_mobile_logo() {
    // side info
    $seoq_mobile_logo_hide = get_theme_mod( 'seoq_mobile_logo_hide', false );

    $seoq_site_logo = get_theme_mod( 'logo', get_template_directory_uri() . '/assets/img/logo/logo.png' );

    ?>

    <?php if ( !empty( $seoq_mobile_logo_hide ) ): ?>
    <div class="side__logo mb-25">
        <a class="sideinfo-logo" href="<?php print esc_url( home_url( '/' ) );?>">
            <img src="<?php print esc_url( $seoq_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'seoq' );?>" />
        </a>
    </div>
    <?php endif;?>



<?php }

/**
 * [seoq_header_social_profiles description]
 * @return [type] [description]
 */
function seoq_header_social_profiles() {
    $seoq_topbar_fb_url = get_theme_mod( 'seoq_topbar_fb_url', __( '#', 'seoq' ) );
    $seoq_topbar_twitter_url = get_theme_mod( 'seoq_topbar_twitter_url', __( '#', 'seoq' ) );
    $seoq_topbar_youtube_url = get_theme_mod( 'seoq_topbar_youtube_url', __( '#', 'seoq' ) );
    $seoq_topbar_pinterest_url = get_theme_mod( 'seoq_topbar_pinterest_url', __( '#', 'seoq' ) );
    $seoq_topbar_linkedin_url = get_theme_mod( 'seoq_topbar_linkedin_url', __( '#', 'seoq' ) );
    ?>
        <?php if ( !empty( $seoq_topbar_fb_url ) ): ?>
            <a href="<?php print esc_url( $seoq_topbar_fb_url );?>"><i class="fab fa-facebook"></i></a>
        <?php endif;?>
        <?php if ( !empty( $seoq_topbar_twitter_url ) ): ?>
            <a href="<?php print esc_url( $seoq_topbar_twitter_url );?>"><i class="fab fa-twitter"></i></a>
        <?php endif;?>
        <?php if ( !empty( $seoq_topbar_youtube_url ) ): ?>
            <a href="<?php print esc_url( $seoq_topbar_youtube_url );?>"><i class="fab fa-youtube"></i></a>
        <?php endif;?>
        <?php if ( !empty( $seoq_topbar_pinterest_url ) ): ?>
            <a href="<?php print esc_url( $seoq_topbar_pinterest_url );?>"><i class="fab fa-pinterest-p"></i></a>
        <?php endif;?>
        <?php if ( !empty( $seoq_topbar_linkedin_url ) ): ?>
            <a href="<?php print esc_url( $seoq_topbar_linkedin_url );?>"><i class="fab fa-linkedin"></i></a>
        <?php endif;?>
    <?php
}

/**
 * [seoq_header_menu description]
 * @return [type] [description]
 */
function seoq_header_menu() {
    ?>
    <?php
        wp_nav_menu( [
            'theme_location' => 'main-menu',
            'menu_class'     => '',
            'container'      => '',
            'fallback_cb'    => 'SEOQ_Navwalker_Class::fallback',
            'walker'         => new SEOQ_Navwalker_Class,
        ] );
    ?>
    <?php
}

/**
 * [seoq_footer_menu description]
 * @return [type] [description]
 */
function seoq_footer_menu() {
    ?>
    <?php
        wp_nav_menu( [
            'theme_location' => 'footer-menu',
            'menu_class'     => '',
            'container'      => '',
            'fallback_cb'    => 'Navwalker_Class::fallback',
            'walker'         => new SEOQ_Navwalker_Class,
        ] );
    ?>
    <?php
}

/**
 * [seoq_footer_bottom_menu description]
 * @return [type] [description]
 */
function seoq_footer_bottom_menu() {
    ?>
    <?php
        wp_nav_menu( [
            'theme_location' => 'footer-bottom-menu',
            'menu_class'     => '',
            'container'      => '',
            'fallback_cb'    => 'Navwalker_Class::fallback',
            'walker'         => new SEOQ_Navwalker_Class,
        ] );
    ?>
    <?php
}

/**
 * [seoq_header_menu description]
 * @return [type] [description]
 */
function seoq_mobile_menu() {
    ?>
    <?php
        $seoq_menu = wp_nav_menu( [
            'theme_location' => 'main-menu',
            'menu_class'     => '',
            'container'      => '',
            'menu_id'        => 'mobile-menu',
            'echo'           => false,
        ] );

    $seoq_menu = str_replace( "menu-item-has-children", "menu-item-has-children has-children", $seoq_menu );
        echo wp_kses_post( $seoq_menu );
    ?>
    <?php
}

/**
 *
 * seoq footer
 */
add_action( 'seoq_footer_style', 'seoq_check_footer', 10 );

function seoq_check_footer() {
    $seoq_footer_style = function_exists( 'get_field' ) ? get_field( 'footer_style' ) : NULL;
    $seoq_default_footer_style = get_theme_mod( 'choose_default_footer', 'footer-style-1' );

    if ( $seoq_footer_style == 'footer-style-1' ) {
        get_template_part( 'template-parts/footer/footer-1' );
    } 
    elseif ( $seoq_footer_style == 'footer-style-2' ) {
        get_template_part( 'template-parts/footer/footer-2' );
    }
    elseif ( $seoq_footer_style == 'footer-style-3' ) {
        get_template_part( 'template-parts/footer/footer-3' );
    }
    elseif ( $seoq_footer_style == 'footer-style-4' ) {
        get_template_part( 'template-parts/footer/footer-4' );
    } else {

        /** default footer style **/
        if ( $seoq_default_footer_style == 'footer-style-2' ) {
            get_template_part( 'template-parts/footer/footer-2' );
        } elseif ( $seoq_default_footer_style == 'footer-style-3' ) {
            get_template_part( 'template-parts/footer/footer-3' );
        } elseif ( $seoq_default_footer_style == 'footer-style-4' ) {
            get_template_part( 'template-parts/footer/footer-4' );
        } else {
            get_template_part( 'template-parts/footer/footer-1' );
        }
    }
}

// seoq_copyright_text
function seoq_copyright_text() {
   print get_theme_mod( 'seoq_copyright', esc_html__( '© 2023 SEOQ All Rights Reserved.', 'seoq' ) );
}


/**
 *
 * pagination
 */
if ( !function_exists( 'seoq_pagination' ) ) {

    function _seoq_pagi_callback( $pagination ) {
        return $pagination;
    }

    //page navegation
    function seoq_pagination( $prev, $next, $pages, $args ) {
        global $wp_query, $wp_rewrite;
        $menu = '';
        $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;

        if ( $pages == '' ) {
            global $wp_query;
            $pages = $wp_query->max_num_pages;

            if ( !$pages ) {
                $pages = 1;
            }

        }

        $pagination = [
            'base'      => add_query_arg( 'paged', '%#%' ),
            'format'    => '',
            'total'     => $pages,
            'current'   => $current,
            'prev_text' => $prev,
            'next_text' => $next,
            'type'      => 'array',
        ];

        //rewrite permalinks
        if ( $wp_rewrite->using_permalinks() ) {
            $pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );
        }

        if ( !empty( $wp_query->query_vars['s'] ) ) {
            $pagination['add_args'] = ['s' => get_query_var( 's' )];
        }

        $pagi = '';
        if ( paginate_links( $pagination ) != '' ) {
            $paginations = paginate_links( $pagination );
            $pagi .= '<ul>';
            foreach ( $paginations as $key => $pg ) {
                $pagi .= '<li>' . $pg . '</li>';
            }
            $pagi .= '</ul>';
        }

        print _seoq_pagi_callback( $pagi );
    }
}

// Post Navigation
if ( !function_exists('seoq_post_navigation') ) {
	function seoq_post_navigation(){
		$seoq_next_post = get_next_post();
		$seoq_prev_post = get_previous_post();
		
		if ( $seoq_next_post || $seoq_prev_post ) : ?>

            <div class="post-navigation mt-15 mb-50">
                <div class="row">
                    <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6 col-sm-12">
                        <div class="post-navigation__prev">
                            <?php if ( get_the_post_thumbnail($seoq_prev_post) ): ?>
                                <div class="post-navigation__img">
                                    <a href="<?php echo get_permalink( $seoq_prev_post ); ?>">
                                        <?php print get_the_post_thumbnail($seoq_prev_post,'thumbnail');?>
                                    </a>
                                    <div class="post-navigation__img-hover">
                                        <a href="<?php echo get_permalink( $seoq_prev_post ); ?>"><i class="fa-regular fa-arrow-left"></i></a>
                                    </div>
                                </div>
                            <?php endif;?>
                            <div class="post-navigation__content">
                                <h4><a href="<?php echo get_permalink( $seoq_prev_post ); ?>"><?php echo get_the_title( $seoq_prev_post ); ?></a></h4>
                                <span><i class="fa-light fa-calendar-lines"></i><?php the_time( get_option('date_format') ); ?></span>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-6 col-xl-6 col-lg-6 col-md-6 col-sm-12">
                        <div class="post-navigation__next">
                            <?php if ( get_the_post_thumbnail($seoq_next_post) ): ?>
                                <div class="post-navigation__img">
                                    <a href="<?php echo get_permalink( $seoq_next_post ); ?>">
                                        <?php print get_the_post_thumbnail($seoq_next_post,'thumbnail');?>
                                    </a>
                                    <div class="post-navigation__img-hover">
                                        <a href="<?php echo get_permalink( $seoq_next_post ); ?>"><i class="fa-regular fa-arrow-right"></i></a>
                                    </div>
                                </div>
                            <?php endif;?>
                            <div class="post-navigation__content">
                                <h4><a href="<?php echo get_permalink( $seoq_next_post ); ?>"><?php echo get_the_title( $seoq_next_post ); ?></a></h4>
                                <span><i class="fa-light fa-calendar-lines"></i><?php the_time( get_option('date_format') ); ?></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
		
		<?php endif;
	}
}

// // heading color
// function sycho_menu_custom_color()
// {
// 	$color_code = get_theme_mod('sycho_menu_color_option', '#056c5f');
// 	wp_enqueue_style('sycho-menu-custom', SYCHO_THEME_CSS_DIR . 'sycho-custom.css', array());
// 	if ($color_code != '') {
// 		$custom_css = '';
// 		$custom_css .= ".main-menu-3 ul li a,.header__info-icon span::before,.header__info-text span,.main-menu-2 ul li a, .faq__inner .card-header h5 button { color: " . $color_code . "}";
// 		wp_add_inline_style('sycho-sec-custom', $custom_css);
// 	}
// }
// add_action('wp_enqueue_scripts', 'sycho_menu_custom_color');

// // header top bg color
// function sycho_breadcrumb_bg_color()
// {
// 	$color_code = get_theme_mod('sycho_breadcrumb_bg_color', esc_html__('#222', 'sycho'));
// 	wp_enqueue_style('sycho-custom', SYCHO_THEME_CSS_DIR . 'sycho-custom.css', array());
// 	if ($color_code != '') {
// 		$custom_css = '';
// 		$custom_css .= ".breadcrumb-bg.gray-bg{ background: " . $color_code . "}";

// 		wp_add_inline_style('sycho-breadcrumb-bg', $custom_css);
// 	}
// }

// add_action('wp_enqueue_scripts', 'sycho_breadcrumb_bg_color');

// // breadcrumb-spacing top
// function sycho_breadcrumb_spacing()
// {
// 	$padding_px = get_theme_mod('sycho_breadcrumb_spacing', esc_html__('160px', 'sycho'));
// 	wp_enqueue_style('sycho-custom', SYCHO_THEME_CSS_DIR . 'sycho-custom.css', array());
// 	if ($padding_px != '') {
// 		$custom_css = '';
// 		$custom_css .= ".breadcrumb-spacing{ padding-top: " . $padding_px . "}";

// 		wp_add_inline_style('sycho-breadcrumb-top-spacing', $custom_css);
// 	}
// }

// add_action('wp_enqueue_scripts', 'sycho_breadcrumb_spacing');

// // breadcrumb-spacing bottom
// function sycho_breadcrumb_bottom_spacing()
// {
// 	$padding_px = get_theme_mod('sycho_breadcrumb_bottom_spacing', esc_html__('160px', 'sycho'));
// 	wp_enqueue_style('sycho-custom', SYCHO_THEME_CSS_DIR . 'sycho-custom.css', array());
// 	if ($padding_px != '') {
// 		$custom_css = '';
// 		$custom_css .= ".breadcrumb-spacing{ padding-bottom: " . $padding_px . "}";

// 		wp_add_inline_style('sycho-breadcrumb-bottom-spacing', $custom_css);
// 	}
// }

// add_action('wp_enqueue_scripts', 'sycho_breadcrumb_bottom_spacing');

// theme color
function seoq_custom_color() {
    $seoq_color_option_prim = get_theme_mod( 'seoq_color_option_prim', '#FE7919' );
    $seoq_color_option_sec = get_theme_mod( 'seoq_color_option_sec', '#4A5FE1' );
    $seoq_color_option_heading = get_theme_mod( 'seoq_color_option_heading', '#0B1728' );
    $seoq_color_option_body = get_theme_mod( 'seoq_color_option_body', 'rgba(11, 23, 40, 0.7)' );
    $seoq_color_option_black = get_theme_mod( 'seoq_color_option_black', '#0B1728' );
    $seoq_color_option_white = get_theme_mod( 'seoq_color_option_white', '#fff' );
  
    wp_enqueue_style( 'seoq-custom', SEOQ_THEME_CSS_DIR . 'seoq-custom.css', [] );
  
    if ( !empty($seoq_color_option_prim) || !empty($seoq_color_option_sec) || !empty($seoq_color_option_body) || !empty($seoq_color_option_black) || !empty($seoq_color_option_heading) || !empty($seoq_color_option_white)) {
        $custom_css = '';
  
        $custom_css .= "html:root{ 
          --theme-primary: " . $seoq_color_option_prim . ";
          --theme-secondary: " . $seoq_color_option_sec . ";
          --heading-color: " . $seoq_color_option_heading . ";
          --body-color: " . $seoq_color_option_body . ";
          --theme-black: " . $seoq_color_option_black . ";
          --theme-white: " . $seoq_color_option_white . "; 
        }";
          
        wp_add_inline_style( 'seoq-custom', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'seoq_custom_color' );

// seoq_kses_intermediate
function seoq_kses_intermediate( $string = '' ) {
    return wp_kses( $string, seoq_get_allowed_html_tags( 'intermediate' ) );
}

function seoq_get_allowed_html_tags( $level = 'basic' ) {
    $allowed_html = [
        'b'      => [],
        'i'      => [],
        'u'      => [],
        'em'     => [],
        'br'     => [],
        'abbr'   => [
            'title' => [],
        ],
        'span'   => [
            'class' => [],
        ],
        'strong' => [],
        'a'      => [
            'href'  => [],
            'title' => [],
            'class' => [],
            'id'    => [],
        ],
    ];

    if ($level === 'intermediate') {
        $allowed_html['a'] = [
            'href' => [],
            'title' => [],
            'class' => [],
            'id' => [],
        ];
        $allowed_html['div'] = [
            'class' => [],
            'id' => [],
        ];
        $allowed_html['img'] = [
            'src' => [],
            'class' => [],
            'alt' => [],
        ];
        $allowed_html['del'] = [
            'class' => [],
        ];
        $allowed_html['ins'] = [
            'class' => [],
        ];
        $allowed_html['bdi'] = [
            'class' => [],
        ];
        $allowed_html['i'] = [
            'class' => [],
            'data-rating-value' => [],
        ];
    }

    return $allowed_html;
}


// WP kses allowed tags
// ----------------------------------------------------------------------------------------
function seoq_kses($raw){

   $allowed_tags = array(
      'a'                         => array(
         'class'   => array(),
         'href'    => array(),
         'rel'  => array(),
         'title'   => array(),
         'target' => array(),
      ),
      'abbr'                      => array(
         'title' => array(),
      ),
      'b'                         => array(),
      'blockquote'                => array(
         'cite' => array(),
      ),
      'cite'                      => array(
         'title' => array(),
      ),
      'code'                      => array(),
      'del'                    => array(
         'datetime'   => array(),
         'title'      => array(),
      ),
      'dd'                     => array(),
      'div'                    => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'dl'                     => array(),
      'dt'                     => array(),
      'em'                     => array(),
      'h1'                     => array(),
      'h2'                     => array(),
      'h3'                     => array(),
      'h4'                     => array(),
      'h5'                     => array(),
      'h6'                     => array(),
      'i'                         => array(
         'class' => array(),
      ),
      'img'                    => array(
         'alt'  => array(),
         'class'   => array(),
         'height' => array(),
         'src'  => array(),
         'width'   => array(),
      ),
      'li'                     => array(
         'class' => array(),
      ),
      'ol'                     => array(
         'class' => array(),
      ),
      'p'                         => array(
         'class' => array(),
      ),
      'q'                         => array(
         'cite'    => array(),
         'title'   => array(),
      ),
      'span'                      => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'iframe'                 => array(
         'width'         => array(),
         'height'     => array(),
         'scrolling'     => array(),
         'frameborder'   => array(),
         'allow'         => array(),
         'src'        => array(),
      ),
      'strike'                 => array(),
      'br'                     => array(),
      'strong'                 => array(),
      'data-wow-duration'            => array(),
      'data-wow-delay'            => array(),
      'data-wallpaper-options'       => array(),
      'data-stellar-background-ratio'   => array(),
      'ul'                     => array(
         'class' => array(),
      ),
      'svg' => array(
           'class' => true,
           'aria-hidden' => true,
           'aria-labelledby' => true,
           'role' => true,
           'xmlns' => true,
           'width' => true,
           'height' => true,
           'viewbox' => true, // <= Must be lower case!
       ),
       'g'     => array( 'fill' => true ),
       'title' => array( 'title' => true ),
       'path'  => array( 'd' => true, 'fill' => true,  ),
      );

   if (function_exists('wp_kses')) { // WP is here
      $allowed = wp_kses($raw, $allowed_tags);
   } else {
      $allowed = $raw;
   }

   return $allowed;
}

/**
 * Social Share
 */
if ( !function_exists('seoq_blog_single_social') ) {
function seoq_blog_single_social(){
    $post_url = get_the_permalink();
    ?>
    <div class="blog-details__social-list social-hvr">
        <a href="https://twitter.com/share?url=<?php echo esc_url($post_url);?>" target="_blank"><i class="fab fa-twitter"></i></a>
        <a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo esc_url($post_url);?>" target="_blank"><i class="fab fa-facebook"></i></a>
        <a href="http://pinterest.com/pin/create/button/?url=<?php echo esc_url($post_url);?>" target="_blank"><i class="fab fa-pinterest-p"></i></a>
        <a href="https://www.instagram.com/sharer.php?u=<?php echo esc_url($post_url);?>"><i class="fab fa-instagram"></i></a>
    </div>
   <?php return false;
    }
}