<?php 

/**
 * Template part for displaying post meta
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package seoq
 */

$categories = get_the_terms( $post->ID, 'category' );
$seoq_blog_author = get_theme_mod( 'seoq_blog_author', true );
$seoq_blog_date = get_theme_mod( 'seoq_blog_date', true );
$seoq_blog_cat = get_theme_mod( 'seoq_blog_cat', false );
$seoq_blog_comments = get_theme_mod( 'seoq_blog_comments', true );

?>

<div class="blog-details__meta mb-20">
    <ul>
        <?php if ( !empty($seoq_blog_author) ): ?>
            <li>
                <i class="fa-light fa-user-large"></i>
                <a href="<?php print esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );?>">
                    <?php print esc_html('By', 'seoq'); ?> <?php print get_the_author(); ?>
                </a>
            </li>
        <?php endif;?>
        
        <?php if ( !empty($seoq_blog_date) ): ?>
            <li>
                <i class="fa-light fa-calendar-lines"></i>
                <span><?php the_time( get_option('date_format') ); ?></span>
            </li>
        <?php endif;?>

        <?php if ( !empty($seoq_blog_cat) ): ?>
        <?php if ( !empty( $categories[0]->name ) ): ?>  
            <li><i class="fas fa-tag"></i> <a href="<?php print esc_url(get_category_link($categories[0]->term_id)); ?>"><?php echo esc_html($categories[0]->name); ?></a></li>
        <?php endif;?>
        <?php endif;?>

        <?php if ( !empty($seoq_blog_comments) ): ?>
            <li>
                <i class="fa-sharp fa-light fa-comment-dots"></i>
                <a href="<?php comments_link();?>">
                    <?php comments_number(); ?>
                </a>
            </li>
        <?php endif;?>
    </ul>
</div>