<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package seoq
 */

$seoq_audio_url = function_exists( 'get_field' ) ? get_field( 'format_style' ) : NULL;
if ( is_single() ): 
?>

    <article id="post-<?php the_ID();?>" <?php post_class( 'postbox__item format-audio' );?>>
        <?php if ( !empty( $seoq_audio_url ) ): ?>
            <div class="postbox__thumb postbox__audio mb-25 w-img p-relative">
                <?php echo wp_oembed_get( $seoq_audio_url ); ?>
            </div>
        <?php endif;?>
        <div class="blog-details__content">
            <?php get_template_part( 'template-parts/blog/blog-meta' ); ?>
            <div class="postbox__text">
                <?php the_content();?>
                <?php
                    wp_link_pages( [
                        'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'seoq' ),
                        'after'       => '</div>',
                        'link_before' => '<span class="page-number">',
                        'link_after'  => '</span>',
                    ] );
                ?>
            </div>
        </div>
        <div class="blog-details__bottom">
            <?php print seoq_get_tag();?>
            <?php print seoq_blog_single_social();?>
        </div>
        <?php print seoq_post_navigation();?>
    </article>

<?php else: ?>

    <article id="post-<?php the_ID();?>" <?php post_class( 'blog-grid__single postbox__item mb-30 format-image' );?>>
        <div class="blog-grid__single blog-page">
            <?php if ( !empty( $seoq_audio_url ) ): ?>
                <div class="postbox__thumb postbox__audio w-img p-relative">
                    <?php echo wp_oembed_get( $seoq_audio_url ); ?>
                </div>
            <?php endif;?>
            <div class="blog-grid__single-content">
                <?php get_template_part( 'template-parts/blog/blog-meta' ); ?>
                <h2><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
                <div class="postbox__text">
                    <?php the_excerpt();?>
                </div>
                <?php get_template_part( 'template-parts/blog/blog-btn' ); ?>
            </div>
        </div>
    </article>

<?php
endif;?>