<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package eduker
 */

$gallery_images = function_exists('get_field') ? get_field('gallery_images') : '';
if ( is_single() ): ?>

    <article id="post-<?php the_ID();?>" <?php post_class( 'postbox__item format-gallery mb-30' );?>>
        <?php if ( !empty( $gallery_images ) ): ?>
            <div class="postbox__thumb postbox__slider swiper-container w-img p-relative mb-25">
                <div class="swiper-wrapper">
                    <?php foreach ( $gallery_images as $key => $image ): ?>
                    <div class="postbox__slider-item swiper-slide">
                        <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>">
                    </div>
                    <?php endforeach;?>
                </div>
                <div class="postbox-nav">
                    <button class="postbox-slider-button-next"><i class="fal fa-arrow-right"></i></button>
                    <button class="postbox-slider-button-prev"><i class="fal fa-arrow-left"></i></button>
                </div>
            </div>
        <?php endif;?>
        <div class="blog-details__content">
            <?php get_template_part( 'template-parts/blog/blog-meta' ); ?>
            <div class="postbox__text">
                <?php the_content();?>
                <?php
                    wp_link_pages( [
                        'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'seoq' ),
                        'after'       => '</div>',
                        'link_before' => '<span class="page-number">',
                        'link_after'  => '</span>',
                    ] );
                ?>
            </div>
        </div>
        <div class="blog-details__bottom">
            <?php print seoq_get_tag();?>
            <?php print seoq_blog_single_social();?>
        </div>
        <?php print seoq_post_navigation();?>
    </article>

<?php else: ?>

    <article id="post-<?php the_ID();?>" <?php post_class( 'blog-grid__single postbox__item mb-30 format-gallery' );?>>
        <div class="blog-grid__single blog-page">
            <?php if ( !empty( $gallery_images ) ): ?>
                <div class="postbox__thumb postbox__slider swiper-container w-img p-relative">
                    <div class="swiper-wrapper">
                        <?php foreach ( $gallery_images as $key => $image ): ?>
                        <div class="postbox__slider-item swiper-slide">
                            <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>">
                        </div>
                        <?php endforeach;?>
                    </div>
                    <div class="postbox-nav">
                        <button class="postbox-slider-button-next"><i class="fal fa-arrow-right"></i></button>
                        <button class="postbox-slider-button-prev"><i class="fal fa-arrow-left"></i></button>
                    </div>
                </div>
            <?php endif;?>
            <div class="blog-grid__single-content">
                <?php get_template_part( 'template-parts/blog/blog-meta' ); ?>
                <h2><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
                <div class="postbox__text">
                    <?php the_excerpt();?>
                </div>
                <?php get_template_part( 'template-parts/blog/blog-btn' ); ?>
            </div>
        </div>
    </article>

<?php endif; ?>