<?php 

	/**
	 * Template part for displaying header layout one
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	 *
	 * @package seoq
	*/

	// info
   $seoq_topbar_switch = get_theme_mod( 'seoq_topbar_switch', false );
   $seoq_search = get_theme_mod( 'seoq_search', false );
   $seoq_phone_num = get_theme_mod( 'seoq_phone_num', __( '+5204654544', 'seoq' ) );
   $seoq_mail_id = get_theme_mod( 'seoq_mail_id', __( 'demo@example.com', 'seoq' ) );
   $seoq_address = get_theme_mod( 'seoq_address', __( 'Biddut Kali Mundir, Square School Rd, Pabna 6600', 'seoq' ) );

   // header right
   $seoq_header_right = get_theme_mod( 'seoq_header_right', false );
   
   // contact button
	$seoq_button_text = get_theme_mod( 'seoq_button_text', __( 'Get in touch', 'seoq' ) );
   $seoq_button_link = get_theme_mod( 'seoq_button_link', __( '#', 'seoq' ) );

   $seoq_logo = get_template_directory_uri() . '/assets/img/logo/logo.png';
   $seoq_logo_black = get_template_directory_uri() . '/assets/img/logo/logo-white.png';

   $seoq_site_logo = get_theme_mod( 'logo', $seoq_logo );
   $seoq_secondary_logo = get_theme_mod( 'seconday_logo', $seoq_logo_black );

?>

<header>
   <div id="header-sticky" class="header-3">
      <div class="container">
            <div class="row align-items-center">
               <div class="col-xxl-12 col-xl-12 col-lg-12">
                  <div class="header__main-content-wrapper d-flex align-items-center justify-content-between p-relative">
                        <div class="header__main-left">
                           <div class="header__logo">
                              <a href="<?php print esc_url( home_url( '/' ) );?>" class="logo-dark">
                                 <img src="<?php print esc_url( $seoq_secondary_logo );?>" alt="<?php print esc_attr__( 'logo', 'seoq' );?>">
                              </a>
                              <a href="<?php print esc_url( home_url( '/' ) );?>" class="logo-light">
                                 <img src="<?php print esc_url( $seoq_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'seoq' );?>">
                              </a>
                           </div>
                        </div>
                        <div class="main-menu d-none d-xl-block">
                           <nav id="mobile-menu">
                              <?php seoq_header_menu();?>
                           </nav>
                        </div>
                        <div class="header__main-right">
                           <?php if ( !empty( $seoq_header_right ) ): ?>
                              <?php if ( !empty( $seoq_button_text ) ): ?>
                                 <a href="<?php echo esc_url($seoq_button_link); ?>" class="header-btn-3 rr-bounce-up d-xxl-block d-xxl-block d-lg-block d-md-block d-none">
                                    <?php echo esc_html($seoq_button_text); ?>
                                 </a>
                              <?php endif; ?>
                           <?php endif; ?>
                           
                           <button class="side-toggle d-lg-block d-xl-none">
                              <span class="menu__bar">
                                    <span class="bar-icon">
                                       <span></span>
                              <span></span>
                              <span></span>
                              </span>
                              </span>
                           </button>
                        </div>
                  </div>
               </div>
            </div>
      </div>
   </div>
</header>

<?php get_template_part( 'template-parts/header/header-side-info' ); ?>