<?php 

   /**
    * Template part for displaying header side information
    *
    * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
    *
    * @package seoq
   */

    $seoq_sticky_hide = get_theme_mod( 'seoq_sticky_hide', false );
    $seoq_side_hide = get_theme_mod( 'seoq_side_hide', false );
    $seoq_search = get_theme_mod( 'seoq_search', false );
    $seoq_side_logo = get_theme_mod( 'seoq_side_logo', get_template_directory_uri() . '/assets/img/logo/logo-white.png' );

    $seoq_extra_email = get_theme_mod( 'seoq_extra_email', __( 'needhelp@seoq.com', 'seoq' ) );
    $seoq_extra_phone = get_theme_mod( 'seoq_extra_phone', __( '6668880000', 'seoq' ) );
    $seoq_extra_address = get_theme_mod( 'seoq_extra_address', __( '24/21, 2nd Rangpur, Sapla', 'seoq' ) );
?>

<aside class="fix">
   <div class="side-info">
      <div class="side-info-content">
            <div class="offset__widget offset__header">
               <?php if ( !empty( $seoq_side_logo ) ): ?>
                  <div class="offset__logo">
                     <a href="<?php print esc_url( home_url( '/' ) );?>">
                        <img src="<?php print esc_url($seoq_side_logo); ?>" alt="<?php echo esc_attr__('logo','seoq'); ?>">
                     </a>
                  </div>
               <?php endif;?>
               
               <button class="side-info-close">
                  <i class="fal fa-times"></i>
               </button>
            </div>
            <div class="mobile-menu d-xl-none fix"></div>
            <?php if ( !empty( $seoq_side_hide ) ): ?>
               <div class="offset__widget offset__support">
                  <ul class="mobile-nav__contact list-unstyled">
                     <?php if ( !empty( $seoq_extra_email ) ): ?>
                        <li>
                           <i class="fa fa-envelope"></i>
                           <a href="mailto:<?php echo esc_attr($seoq_extra_email); ?>"><?php echo seoq_kses($seoq_extra_email); ?></a>
                        </li>
                     <?php endif;?>
                     <?php if ( !empty( $seoq_extra_phone ) ): ?>
                        <li>
                           <i class="fa fa-phone-alt"></i>
                           <a href="tel:<?php echo esc_attr($seoq_extra_phone); ?>"><?php echo seoq_kses($seoq_extra_phone); ?></a>
                        </li>
                     <?php endif;?>
                     <?php if ( !empty( $seoq_extra_address ) ): ?>
                        <li>
                           <i class="fas fa-map-marker-alt"></i>
                           <?php echo seoq_kses($seoq_extra_address); ?>
                        </li>
                     <?php endif;?>
                  </ul>
                  <div class="mobile-nav__top">
                     <div class="mobile-nav__social">
                        <?php seoq_header_social_profiles() ?>
                     </div>
                  </div>
               </div>
            <?php endif;?>
      </div>
   </div>
</aside>
<div class="offcanvas-overlay"></div>
<div class="offcanvas-overlay-white"></div>